Qt 5.6 | Qt Core | C++ Classes | QString

Qt 5.6.2 Reference Documentation

# Obsolete Members for QString

The following members of class QString are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QString & | sprintf(const char *cformat, ...)
`(obsolete)` QByteArray | toAscii() const
`(obsolete)` QString & | vsprintf(const char *cformat, va_list ap)

## Static Public Members

`(obsolete)` QString | fromAscii(const char *str, int size = -1)
`(obsolete)` QString | fromAscii(const QByteArray &str)

## Member Function Documentation

### `[static]` QString QString::fromAscii(const char *str, int size = -1)

Returns a QString initialized with the first size characters from the string str.

If size is -1 (default), it is taken to be strlen(str).

This function does the same as fromLatin1().

See also toAscii(), fromLatin1(), fromUtf8(), and fromLocal8Bit().

### `[static]` QString QString::fromAscii(const QByteArray &str)

This is an overloaded function.

Returns a QString initialized with the string str.

This function was introduced in Qt 5.0.

### QString &QString::sprintf(const char *cformat, ...)

Use asprintf(), arg() or QTextStream instead.

### QByteArray QString::toAscii() const

Returns an 8-bit representation of the string as a QByteArray.

This function does the same as toLatin1().

Note that, despite the name, this function does not necessarily return an US-ASCII (ANSI X3.4-1986) string and its result may not be US-ASCII compatible.

See also fromAscii(), toLatin1(), toUtf8(), toLocal8Bit(), and QTextCodec.

### QString &QString::vsprintf(const char *cformat, va_list ap)

Use vasprintf(), arg() or QTextStream instead.